%global dlrn_nvr 15.5.1-0.20200714085939.7d0406b
%global dlrn 1
%define upstream_version 15.5.1
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-neutron
Version: 15.5.1
Release: 0.20200714085940.7d0406b%{?dist}
Summary:        Puppet module for OpenStack Neutron
License:        ASL 2.0

URL:            https://launchpad.net/puppet-neutron

Source0: 15.5.1-0.20200714085939.7d0406b.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=7d0406b1a2bb054f42b198e9494ddc54372e7285
Patch0001: 0001-Add-agent-explicitly_egress_direct-support.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-nova
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet-sysctl
Requires:       puppet-vswitch
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Neutron

%prep
%setup -q -n openstack-neutron-%{upstream_version}

%patch0001 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/neutron/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/neutron/



%files
%{_datadir}/openstack-puppet/modules/neutron/


%changelog
* Thu Oct 08 2020 Bernard Cafarelli <bcafarel@redhat.com> 15.5.1-0.20200714085940.7d0406b
- Add agent/explicitly_egress_direct support (rhbz#1883214)

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1
- Update patches
- Nuage: remove check on mechanism driver

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1
- Update patches
- Add support for resource provider bandwidth in Neutron config

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1
- Update patches
- OVN: Add ovn_emit_need_to_frag configuration option

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1
- Update patches
- Add 'dnsmasq_enable_addr6_list' option

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1
- Update patches
- Refer keystone_authtoken instead of neutron to detect region

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> 15.5.0-1
- Update patches

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Prepare new release 15.5.0 in stable/train

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- [OVN] Change the default metadata_workers to 2

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Add ovs/igmp_snooping_enable support

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Fix incorrect openswan package in CentOS8

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Limit scope of puppet-neutron-tripleo-standalone tempest tests

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Fix rabbitmq dependency

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Force cast bridge mappings as an array

* Mon Feb 10 2020 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Add of_connect_timeout and of_request_timeout
- Add OVS of_inactivity_probe parameter
- Add OVS ovsdb_timeout parameter

* Tue Nov 05 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Add agents.l3 "radvd_user" configuration option

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Switch to Train

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 15.4.0-1
- Update patches

* Fri Oct 04 2019 RDO <dev@lists.rdoproject.org> 15.4.0-1
- Update to 15.4.0



